
Redmine - Defect #5100

Redmine doesn't start with Taskjuggler-Plugin

2010-03-17 11:07 - Daniel Maas

Status: Closed Start date: 2010-03-17

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

If I try to start redmine 0.9.3 with Taskjuggler-Plugin

it doesn't work and I get the error below:

I didn't try it with older versions but I would like to try this plugin.

Can somebody give me a hand with that?

Error Output:

/home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:426:in `load_

missing_constant': Expected /home/dani/Downloads/redmine-0.9/app/models/user.rb to define User (Lo

adError)

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:i

n `const_missing'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:i

n `const_missing'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:437:

in `load_missing_constant'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:96:i

n `const_missing'

    from /home/dani/Downloads/redmine-0.9/app/models/project.rb:25

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:

in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:

in `require_or_load'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:425:

in `load_missing_constant'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:i

n `const_missing'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:i

n `const_missing'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:437:

in `load_missing_constant'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:96:i

n `const_missing'

    from /home/dani/Downloads/redmine-0.9/app/models/principal.rb:22

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:

in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:

in `require_or_load'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:425:

in `load_missing_constant'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:i

n `const_missing'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:i

n `const_missing'

2024-04-29 1/3



    from /home/dani/Downloads/redmine-0.9/app/models/user.rb:20

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:

in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:

in `require_or_load'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:224:

in `depend_on'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:136:

in `require_dependency'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/issue_patch.rb:1

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:

in `require'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/init.rb:5:in `evaluat

e_init_rb'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:158:in `evaluate_init_rb'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/kernel/repo

rting.rb:11:in `silence_warnings'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:154:in `evaluate_init_rb'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:48:in `load'

    from /home/dani/Downloads/redmine-0.9/config/../vendor/plugins/engines/lib/engines/plugin.rb:4

4:in `load'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:38:in `load_plugins'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:37:in `each'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:37:in `load_plugins'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:369:in `load_plugins'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:165:in `process'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `send'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'

    from /home/dani/Downloads/redmine-0.9/config/environment.rb:20

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:

in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:

in `new_constants_in'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:

in `require'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/commands/server.rb:84

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from script/server:3

History

#1 - 2010-03-17 14:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Please contact the plugin developper for any help.

We track Redmine issues only here.

#2 - 2010-03-18 15:58 - Rodrigo Rosenfeld Rosas

Daniel, try to include this snippet on your plugin init.rb:

require_dependency 'principal'

 It seems that ActiveSupport has some problem autoloading dependencies that have single-table inheritance, such as User < Principal

Maybe this should be stated on Redmine's wiki.

#3 - 2010-03-19 11:17 - Daniel Maas

Hello Rodrigo,
I tried to include this line but it's still not working but the error message is different:

=> Booting WEBrick

=> Rails 2.3.5 application starting on http://0.0.0.0:3000

/home/dani/.gem/ruby/1.8/gems/activerecord-2.3.5/lib/active_record/associations.rb:1595:in `create_has_and_bel

ongs_to_many_reflection': Cannot create self referential has_and_belongs_to_many association on 'Issue#issue'.

 :association_foreign_key cannot be the same as the :foreign_key. (ActiveRecord::HasAndBelongsToManyAssociatio

nForeignKeyNeeded)

    from /home/dani/.gem/ruby/1.8/gems/activerecord-2.3.5/lib/active_record/associations.rb:1210:in `has_and_b

elongs_to_many'

    from (eval):3:in `has_and_belongs_to_many'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/user_patch.rb:14:in `included

'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/user_patch.rb:12:in `class_ev

al'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/user_patch.rb:12:in `included

'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/user_patch.rb:33:in `include'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/user_patch.rb:33:in `send'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/user_patch.rb:33

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:in `require_

or_load'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:425:in `load_mis

sing_constant'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_mis

sing'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:in `const_mis

sing'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/lib/issue_patch.rb:33

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'

    from /home/dani/Downloads/redmine-0.9/vendor/plugins/redmine_taskjuggler/init.rb:6:in `evaluate_init_rb'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:158:in `evaluate_init_rb'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/kernel/reporting.rb:11:

in `silence_warnings'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:154:in `evaluate_init_rb'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:48:in `load'

    from /home/dani/Downloads/redmine-0.9/config/../vendor/plugins/engines/lib/engines/plugin.rb:44:in `load'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:38:in `load_plugins'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:37:in `each'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:37:in `load_plugins'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:369:in `load_plugins'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:165:in `process'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `send'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'

    from /home/dani/Downloads/redmine-0.9/config/environment.rb:20

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:in `new_cons

tants_in'

    from /home/dani/.gem/ruby/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

    from /home/dani/.gem/ruby/1.8/gems/rails-2.3.5/lib/commands/server.rb:84

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from script/server:3
